Bug 1022188 - reactivating a deactivated node still shows the repos that was bound before deactivating
reactivating a deactivated node still shows the repos that was bound before d...
Status: CLOSED UPSTREAM
Product: Pulp
Classification: Community
Component: documentation (Show other bugs)
Master
Unspecified Unspecified
low Severity unspecified
: ---
: ---
Assigned To: Dennis Kliban
Preethi Thomas
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-22 12:28 EDT by Preethi Thomas
Modified: 2015-02-28 16:59 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-28 16:59:39 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Pulp Redmine 381 None None None Never

  None (edit)
Description Preethi Thomas 2013-10-22 12:28:03 EDT
Description of problem:

Deactivating node does not seem to be unbind the repos that was bound to the node.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. activate a node and bind repos to the node
2. sync the repo
3. now deactivate the node
4. Reactivate the node 
5. Run node list. It displays the repos as bound

Actual results:
[root@qe-blade-03 ~]# pulp-admin node list
+----------------------------------------------------------------------+
                              Child Nodes
+----------------------------------------------------------------------+

Id:               node1
Display Name:     node1
Description:      None
Bindings:         
  Additive: rhel64-os, rhel64-ks
Update Strategy:  additive
Notes:            


[root@qe-blade-03 ~]# pulp-admin node deactivate --node-id node1
Child node deactivated.

[root@qe-blade-03 ~]# pulp-admin node list
+----------------------------------------------------------------------+
                              Child Nodes
+----------------------------------------------------------------------+

[root@qe-blade-03 ~]# pulp-admin node activate --consumer-id node1
Consumer activated as child node.

[root@qe-blade-03 ~]# pulp-admin node list
+----------------------------------------------------------------------+
                              Child Nodes
+----------------------------------------------------------------------+

Id:               node1
Display Name:     node1
Description:      None
Bindings:         
  Additive: rhel64-os, rhel64-ks
Update Strategy:  additive
Notes:            


[root@qe-blade-03 ~]# 


Expected results:

repos should be unbound when you deactviate a node

Additional info:
Comment 1 Preethi Thomas 2014-10-14 17:27:16 EDT
Could you please add the commit for the this bug
Comment 4 Brian Bouterse 2015-02-28 16:59:39 EST
Moved to https://pulp.plan.io/issues/381

Note You need to log in before you can comment on or make changes to this bug.